#!/usr/bin/env python

import sys
import charmhelpers.contrib.ansible

# Create the hooks helper, passing a list of hooks which will be
# handled by default by running all sections of the playbook
# tagged with the hook name.
hooks = charmhelpers.contrib.ansible.AnsibleHooks(
    playbook_path='playbooks/site.yml',
    default_hooks=[
        'config-changed', 'upgrade-charm',
        'amqp-relation-broken', 'amqp-relation-changed', 'amqp-relation-joined',
        'cache-relation-broken', 'cache-relation-changed', 'cache-relation-joined',
        'django-settings-relation-broken', 'django-settings-relation-changed', 'django-settings-relation-joined',
        'mongodb-relation-broken', 'mongodb-relation-changed', 'mongodb-relation-joined',
        'mysql-relation-broken', 'mysql-relation-changed', 'mysql-relation-joined',
        'mysql-root-relation-broken', 'mysql-root-relation-changed', 'mysql-root-relation-joined',
        'mysql-shared-relation-broken', 'mysql-shared-relation-changed', 'mysql-shared-relation-joined',
        'pgsql-relation-broken', 'pgsql-relation-changed', 'pgsql-relation-joined',
        'redis-relation-broken', 'redis-relation-changed', 'redis-relation-joined',
        'wsgi-relation-broken', 'wsgi-relation-changed', 'wsgi-relation-joined'
    ])


@hooks.hook()
def install():
    """Install ansible.

    The hook() helper decorating this install function ensures that after this
    function finishes, any tasks in the playbook tagged with install are
    executed.
    """
    charmhelpers.contrib.ansible.install_ansible_support(from_ppa=True)


if __name__ == "__main__":
        hooks.execute(sys.argv)
